Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethodHome

All Superinterfaces:
  EJBHome, Remote, SmartEJBHome, SmartHome

public interface ShippingMethodHome
extends SmartEJBHome

The home interface for the ShippingMethod entity bean. Use this class to create, remove, and find ShippingMethod entity beans.

Method Summary
`ShippingMethod` | `create(ShippingMethodPk shippingMethodPk)` Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.
`Enumeration` | `findAll()`
`ShippingMethod` | `findByPrimaryKey(ShippingMethodPk shippingMethodPk)` Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public ShippingMethod create(ShippingMethodPk shippingMethodPk)
                          throws CreateException,
                                 RemoteException

  Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

  Throws:
    `CreateException`
    `RemoteException`

### findByPrimaryKey

    public ShippingMethod findByPrimaryKey(ShippingMethodPk shippingMethodPk)
                                    throws RemoteException,
                                           FinderException

  Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

  Throws:
    `RemoteException`
    `FinderException`

### findAll

    public Enumeration findAll()
                        throws RemoteException,
                               FinderException

  Throws:
    `RemoteException`
    `FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved